A HTTP client request

### Hierarchy

- HttpClientRequest

## Index

### Properties

- body
- headers
- method
- url

## Properties

### Optional body

body: SCRequests

- Defined in src/httpClientInterface.ts:47

Body of the request

A body to send with the request.

### Optional headers

headers: HttpClientHeaders

- Defined in src/httpClientInterface.ts:54

Headers of the request

A key-value-map of headers to send with the request.

### Optional method

method: "GET" | "POST" | "PUT"

- Defined in src/httpClientInterface.ts:61

Method of the request

Should default to 'GET' if nothing is specified.

### url

url: URL

- Defined in src/httpClientInterface.ts:68

URL of the request

The url to send the request to.

Generated using TypeDoc